# Serialized Form

## Package org.apache.trevni

### Class org.apache.trevni.ColumnFileMetaData

class ColumnFileMetaData extends MetaData<ColumnFileMetaData> implements Serializable

### Class org.apache.trevni.ColumnMetaData

class ColumnMetaData extends MetaData<ColumnMetaData> implements Serializable

#### Serialized Fields

##### isArray

    boolean isArray

##### name

    String name

##### parent

    ColumnMetaData parent

##### type

    ValueType type

##### values

    boolean values

### Class org.apache.trevni.MetaData

class MetaData extends LinkedHashMap<String,byte[]> implements Serializable

#### Serialized Fields

##### defaults

    MetaData<?> defaults

### Exception Class org.apache.trevni.TrevniRuntimeException

class TrevniRuntimeException extends RuntimeException implements Serializable